ratio File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_EXPERIMENTAL_RATIO

## Variables

template<typename _R1 , typename _R2 >
constexpr bool | std::experimental::ratio_equal_v
template<typename _R1 , typename _R2 >
constexpr bool | std::experimental::ratio_greater_equal_v
template<typename _R1 , typename _R2 >
constexpr bool | std::experimental::ratio_greater_v
template<typename _R1 , typename _R2 >
constexpr bool | std::experimental::ratio_less_equal_v
template<typename _R1 , typename _R2 >
constexpr bool | std::experimental::ratio_less_v
template<typename _R1 , typename _R2 >
constexpr bool | std::experimental::ratio_not_equal_v

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/ratio.

## Macro Definition Documentation

## _GLIBCXX_EXPERIMENTAL_RATIO

#define _GLIBCXX_EXPERIMENTAL_RATIO

Definition at line 34 of file experimental/ratio.

## Variable Documentation

## ratio_equal_v

template<typename _R1 , typename _R2 >

constexpr bool std::experimental::fundamentals_v1::ratio_equal_v

constexpr

Definition at line 53 of file experimental/ratio.

## ratio_greater_equal_v

template<typename _R1 , typename _R2 >

constexpr bool std::experimental::fundamentals_v1::ratio_greater_equal_v

constexpr

Definition at line 63 of file experimental/ratio.

## ratio_greater_v

template<typename _R1 , typename _R2 >

constexpr bool std::experimental::fundamentals_v1::ratio_greater_v

constexpr

Definition at line 61 of file experimental/ratio.

## ratio_less_equal_v

template<typename _R1 , typename _R2 >

constexpr bool std::experimental::fundamentals_v1::ratio_less_equal_v

constexpr

Definition at line 59 of file experimental/ratio.

## ratio_less_v

template<typename _R1 , typename _R2 >

constexpr bool std::experimental::fundamentals_v1::ratio_less_v

constexpr

Definition at line 57 of file experimental/ratio.

## ratio_not_equal_v

template<typename _R1 , typename _R2 >

constexpr bool std::experimental::fundamentals_v1::ratio_not_equal_v

constexpr

Definition at line 55 of file experimental/ratio.